<template lang="pug">
container.has-background-black
	.bg.img.is-flex
		img( v-lazy='require("@/assets/img/ibt.webp")' )
	.columns.is-flex.is-multiline
		.column.is-7-widescreen.is-12-tablet.is-12-mobile
			.title-wrap
				title-bar( :content='`IBT|${$t("page.home.cool.title")}`' horizontal )
				.title.is-flex.is-justify-content-space-between( :class='isPhone || isTablet ? "is-align-items-center" : "is-align-items-flex-start"' )
					p {{ $t("page.home.cool.list_title") }}
					.img
						img( v-lazy='require(`@/assets/img/burn${$i18n.locale == "en" ? "_en" : ""}.webp`)' )
				.advantages.columns.is-flex.is-multiline
					.column.is-6-tablet.is-12-mobile( v-for='(text, i) in $t("page.home.cool.list")' :key='i' )
						.column-container.is-flex.is-align-items-flex-start.is-justify-content-flex-start
							p.num.is-flex {{ `0${i+1}` }}
							p( v-html='text' )
				.more.is-flex.is-align-items-center.is-justify-content-space-between
					p( v-html='$t("page.home.cool.more")' )
					buttons( v-if='!isTablet && !isPhone' )
						b-button( as="a" :href='`//ibt.dev/${$i18n.locale}/about`' target="_blank" ) {{ $t("buttons.all_info") }}
		.column.is-5-widescreen.is-12-tablet.is-12-mobile
			.img.is-flex.column-container
				img( v-lazy='require("@/assets/img/gamepad.webp")' )
	buttons( v-if='isTablet || isPhone' centered )
		b-button( as="a" :href='`//ibt.dev/${$i18n.locale}/about`' target="_blank" ) {{ $t("buttons.all_info") }}
</template>

<script>
export default {}
</script>

<style lang="scss" scoped>
.bg {
	width: 40.75rem;
	position: absolute;
	bottom: -4.8rem;
	right: -3rem;
	z-index: 1;
	@include max_tablet {
		max-width: 120%;
		right: unset;
		left: 0;
		bottom: 6rem;
	}
}

h2::v-deep {
	span {
		&:first-of-type {
			font-size: 8.3125rem;
			@include max_tablet {
				font-size: 4.875rem;
			}
		}
		&:last-of-type {
			line-height: 3.0625rem;
			margin-bottom: 1rem;
			margin-left: 1rem;
			@include max_tablet {
				line-height: 100%;
				margin-bottom: 0;
			}
		}
	}
}

.columns {
	position: relative;
	z-index: 2;
}

.column {
	&:first-of-type {
		.title {
			p {
				font-size: 1.3125rem;
				font-weight: 500;
				@include max_tablet {
					font-size: 1.0625rem;
				}
			}
			.img {
				min-width: 16.625rem;
				max-width: 16.625rem;
				margin-left: auto;
				margin-top: -12.5rem;
				position: relative;
				img {
					filter: drop-shadow(0px 25px 66px rgba(205, 69, 22, 0.49));
				}

				@include max_tablet {
					max-width: 11.125rem;
					min-width: 11.125rem;
					margin-top: -3rem;
					margin-left: -1rem;
					margin-right: -1rem;
				}
			}
		}
		.advantages {
			.column-container {
				height: 100%;
				padding: .75rem 1rem .75rem 3.3125rem;
				background: rgba($color: #fff, $alpha: .07);
				border-radius: 10px;
				position: relative;
				overflow: hidden;
				.num {
					font-size: 3.125rem;
					font-weight: 300;
					line-height: 3.125rem;
					color: rgba($color: #fff, $alpha: .07);
					position: absolute;
					top: .25rem;
					left: -1rem;
				}
				p {
					font-size: .875rem;
					font-weight: 500;
				}
			}
		}

		.more {
			margin-top: 2rem;
			p {
				font-size: .9375rem;
				font-weight: 500;
				margin-right: 1rem;
				@include max_tablet {
					font-size: .9375rem;
				}
			}
		}
	}

	&:last-of-type {
		.img {
			max-width: 27.125rem;
			margin: 4.5rem auto 0;
			@include max_tablet {
				margin-top: 0;
			}
		}
	}
}
</style>